local mPhotonView, mJavaBridge = ...

local mRecycleView = nil
local mBinder

function fillValue()
    mRecycleView = mPhotonView:getParser():getChildView("recycleView")
    mBinder = mPhotonView:getParser():getBinder()

    updateValue()
end

function updateValue()
    local subViewName = "update_page_bottom_recommend_item_layout.xml"
    local viewNameList = {}
    local dataList = {}

    mSubViewNum = tonumber(mBinder:get("subViewNum"))
    mJavaBridge:Log("UpdateListLoader", "mSubViewNum: " .. mSubViewNum) 
    local modelType = tostring(mBinder:get("modeltype"))

    for index = 1, mSubViewNum do
        local itemData = mPhotonView:getParser():getBinder():get("item_data_" .. index)
        local item_data = nil
        item_data = mBinder:get("item_data_" .. index)

        item_data:put("modelType", mJavaBridge:create("var", modelType))
        item_data:put("slotId", mJavaBridge:create("var", (mPhotonView:getParser():getBinder():get("slotId"))))
        item_data:put("subPosition", mJavaBridge:create("var", index))

        dataList[index] = item_data
        viewNameList[index] = subViewName
    end
    
    mRecycleView:getView():clear()
    mRecycleView:getView():updateData(viewNameList, dataList)
end
